import { IgrStraightNumericAxisBase, IIgrStraightNumericAxisBaseProps } from "./igr-straight-numeric-axis-base";
import { NumericXAxis } from "./NumericXAxis";
/**
 * Represents a IgxDataChartComponent numeric X axis.
*/
export declare class IgrNumericXAxis extends IgrStraightNumericAxisBase<IIgrNumericXAxisProps> {
    protected createImplementation(): NumericXAxis;
    readonly i: NumericXAxis;
    constructor(props: IIgrNumericXAxisProps);
    scrollRangeIntoView(minimum: number, maximum: number): void;
}
export interface IIgrNumericXAxisProps extends IIgrStraightNumericAxisBaseProps {
}
